Bug 243733 - [NEW PORT] biology/plink : whole genome association analysis toolset
Summary: [NEW PORT] biology/plink : whole genome association analysis toolset
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason W. Bacon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-30 16:29 UTC by Motomichi Matsuzaki
Modified: 2020-05-04 23:04 UTC (History)
1 user (show)

See Also:


Attachments
shar for biology/plink version 1.90b6.15 (3.78 KB, text/plain)
2020-01-30 16:29 UTC, Motomichi Matsuzaki
no flags Details
svn diff for biology/plink version 1.90.b6.16 (5.36 KB, patch)
2020-02-18 07:08 UTC, Motomichi Matsuzaki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Motomichi Matsuzaki 2020-01-30 16:29:04 UTC
Created attachment 211196 [details]
shar for biology/plink version 1.90b6.15

PLINK is a widely used toolset for genome-wide association studies (GWAS) and
research in population genetics.

This is actually to revive a previously removed (ports r471892) port.
Comment 1 Motomichi Matsuzaki 2020-01-30 16:34:32 UTC
The port passed poudriere testport in my environment (11.3 amd64/i386)
as well as a build on 13-CURRENT amd64.
Comment 2 Motomichi Matsuzaki 2020-02-18 07:08:59 UTC
Created attachment 211736 [details]
svn diff for biology/plink version 1.90.b6.16

New version (1.90.b6.16) comes out.

tested on poudriere testport (11.3 amd64/i386) & build on 13-CURRENT amd64
Comment 3 commit-hook freebsd_committer 2020-05-04 23:02:55 UTC
A commit references this bug:

Author: jwb
Date: Mon May  4 23:01:59 UTC 2020
New revision: 533993
URL: https://svnweb.freebsd.org/changeset/ports/533993

Log:
  biology/plink: Whole genome association analysis toolset

  Reversed removal, commit r471892 2018/06/07
  Upgraded to 1.90 beta 6.17

  PR:             ports/243733
  Submitted by:   mzaki@e-mail.ne.jp

Changes:
  head/biology/Makefile
  head/biology/plink/
  head/biology/plink/Makefile
  head/biology/plink/distinfo
  head/biology/plink/files/patch-Makefile
  head/biology/plink/files/patch-elf.cpp
  head/biology/plink/files/patch-idhelp.cpp
  head/biology/plink/files/patch-plink__common.h
  head/biology/plink/files/patch-sets.cpp
  head/biology/plink/pkg-descr
  head/biology/plink/pkg-plist
Comment 4 Jason W. Bacon freebsd_committer 2020-05-04 23:04:06 UTC
Committed with update to 1.90b6.17.
Thanks!